import "core-js/modules/es.object.to-string.js";
import "core-js/modules/es.array.slice.js";
import "core-js/modules/es.array.is-array.js";
var os = Object.prototype.toString;

var isType = function isType(arg, type) {
  return os.call(arg).slice(8, -1).toLowerCase() === type;
};

var TypeUtil = function TypeUtil() {
  throw new Error('静态工具类禁止实例化');
};

TypeUtil.isArray = function (arg) {
  return Array.isArray(arg);
};

TypeUtil.isPlainObject = function (arg) {
  return isType(arg, 'object');
};

TypeUtil.isString = function (arg) {
  return typeof arg === 'string';
};

export { TypeUtil as default };